Page MenuHomePhabricator

"Changes recovered" should not be shown if an edit was recovered containing no changes
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open VE
  2. Refresh the editor

Observed Result:
"Changes recovered" message is shown where as there has been no changes to the document which is confusing.

Event Timeline

Ryasmeen created this task.Mar 7 2018, 1:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 1:39 AM

I can't reproduce this in production, but I can on the beta cluster.

Deskana renamed this task from "Changes recovered" message is shown when there has been no changes to the document to "Changes recovered" should not be shown if an edit was recovered containing no changes.Mar 7 2018, 12:07 PM
Deskana triaged this task as High priority.
Deskana set the point value for this task to 1.
Deskana moved this task from To Triage to Current work on the VisualEditor board.
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.

Ugh, I'm an idiot - I inverted an if statement but forgot to invert the logic.

Esanders claimed this task.Mar 7 2018, 6:37 PM

Change 417001 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Fix logic for autosave from edited state

https://gerrit.wikimedia.org/r/417001

Should be backported to wmf24

Change 417001 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Follow-up I5357a909: Fix logic for autosave from edited state

https://gerrit.wikimedia.org/r/417001

Change 417023 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.24] Follow-up I5357a909: Fix logic for autosave from edited state

https://gerrit.wikimedia.org/r/417023

Deskana closed this task as Resolved.Mar 8 2018, 10:31 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 8 2018, 10:31 AM

Change 417023 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.24] Follow-up I5357a909: Fix logic for autosave from edited state

https://gerrit.wikimedia.org/r/417023

Mentioned in SAL (#wikimedia-operations) [2018-03-08T14:35:42Z] <zfilipin@tin> Synchronized php-1.31.0-wmf.24/extensions/VisualEditor/modules/ve-mw/init/ve.init.mw.ArticleTarget.js: SWAT: [[gerrit:417023|Follow-up I5357a909: Fix logic for autosave from edited state (T189071)]] (duration: 01m 16s)